# % global git_hash git10597f7

Name:           openstack-java-sdk
Version:        3.0.1
Release:        1%{?git_hash}%{?dist}
Summary:        OpenStack Java SDK

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/woorea/openstack-java-sdk

# We build the SDK in the MEAD environment, and that means that the
# sources are the artifacts previously built with maven:

Source0: openstack-java-sdk-3.0.1-redhat-1-patches.zip
Source1: openstack-java-sdk-3.0.1-redhat-1-scm-sources.zip
Source2: swift-client-3.0.1-redhat-1.pom
Source3: swift-client-3.0.1-redhat-1.jar
Source4: openstack-client-3.0.1-redhat-1.jar
Source5: openstack-client-3.0.1-redhat-1.pom
Source6: openstack-client-connectors-3.0.1-redhat-1.pom
Source7: keystone-model-3.0.1-redhat-1.jar
Source8: keystone-model-3.0.1-redhat-1.pom
Source9: nova-client-3.0.1-redhat-1.pom
Source10: nova-client-3.0.1-redhat-1.jar
Source11: glance-model-3.0.1-redhat-1.pom
Source12: glance-model-3.0.1-redhat-1.jar
Source13: quantum-client-3.0.1-redhat-1.jar
Source14: quantum-client-3.0.1-redhat-1.pom
Source15: ceilometer-model-3.0.1-redhat-1.pom
Source16: ceilometer-model-3.0.1-redhat-1.jar
Source17: resteasy-connector-3.0.1-redhat-1.jar
Source18: resteasy-connector-3.0.1-redhat-1.pom
Source19: quantum-model-3.0.1-redhat-1.pom
Source20: quantum-model-3.0.1-redhat-1.jar
Source21: glance-client-3.0.1-redhat-1.pom
Source22: glance-client-3.0.1-redhat-1.jar
Source23: openstack-java-sdk-3.0.1-redhat-1.pom
Source24: swift-model-3.0.1-redhat-1.pom
Source25: swift-model-3.0.1-redhat-1.jar
Source26: nova-model-3.0.1-redhat-1.jar
Source27: nova-model-3.0.1-redhat-1.pom
Source28: keystone-client-3.0.1-redhat-1.pom
Source29: keystone-client-3.0.1-redhat-1.jar
Source30: ceilometer-client-3.0.1-redhat-1.jar
Source31: ceilometer-client-3.0.1-redhat-1.pom

BuildArch:      noarch

%description
OpenStack client implementation in Java.


%package -n openstack-java-javadoc
Summary:        Java docs for OpenStack Java SDK
Group:          Documentation

%description -n openstack-java-javadoc
This package contains the API documentation for the OpenStack Java SDK.


%package -n openstack-java-client
Summary:        OpenStack Java Client

%description -n openstack-java-client
This package contains the %{summary}.


%package -n openstack-java-resteasy-connector
Summary:        OpenStack Java RESTEasy Connector

%description -n openstack-java-resteasy-connector
This package contains the %{summary}.


%package -n openstack-java-ceilometer-client
Summary:        OpenStack Java Ceilometer Client

%description -n openstack-java-ceilometer-client
This package contains the %{summary}.


%package -n openstack-java-ceilometer-model
Summary:        OpenStack Java Ceilometer Model

%description -n openstack-java-ceilometer-model
This package contains the %{summary}.


%package -n openstack-java-glance-client
Summary:        OpenStack Java Glance Client

%description -n openstack-java-glance-client
This package contains the %{summary}.


%package -n openstack-java-glance-model
Summary:        OpenStack Java Glance Model

%description -n openstack-java-glance-model
This package contains the %{summary}.


%package -n openstack-java-keystone-client
Summary:        OpenStack Java Keystone Client

%description -n openstack-java-keystone-client
This package contains the %{summary}.


%package -n openstack-java-keystone-model
Summary:        OpenStack Java Keystone Model

%description -n openstack-java-keystone-model
This package contains the %{summary}.


%package -n openstack-java-nova-client
Summary:        OpenStack Java Nova Client

%description -n openstack-java-nova-client
This package contains the %{summary}.


%package -n openstack-java-nova-model
Summary:        OpenStack Java Nova Model

%description -n openstack-java-nova-model
This package contains the %{summary}.


%package -n openstack-java-quantum-client
Summary:        OpenStack Java Quantum Client

%description -n openstack-java-quantum-client
This package contains the %{summary}.


%package -n openstack-java-quantum-model
Summary:        OpenStack Java Quantum Model

%description -n openstack-java-quantum-model
This package contains the %{summary}.


%package -n openstack-java-swift-client
Summary:        OpenStack Java Swift Client

%description -n openstack-java-swift-client
This package contains the %{summary}.


%package -n openstack-java-swift-model
Summary:        OpenStack Java Swift Model

%description -n openstack-java-swift-model
This package contains the %{summary}.


%prep

# We build the SDK in the MEAD environment, and that means that the
# sources are archived with root based on repository name:

%setup -q -T -b 1 -n openstack-java-sdk


%build

# Nothing to do, the build has been performed by MEAD before running
# rpmbuild.


%install

install -dm 755 %{buildroot}%{_javadir}/%{name}

install -m 644 %{S:3} %{buildroot}%{_javadir}/%{name}/swift-client.jar
install -m 644 %{S:4} %{buildroot}%{_javadir}/%{name}/openstack-client.jar
install -m 644 %{S:7} %{buildroot}%{_javadir}/%{name}/keystone-model.jar
install -m 644 %{S:10} %{buildroot}%{_javadir}/%{name}/nova-client.jar
install -m 644 %{S:12} %{buildroot}%{_javadir}/%{name}/glance-model.jar
install -m 644 %{S:13} %{buildroot}%{_javadir}/%{name}/quantum-client.jar
install -m 644 %{S:16} %{buildroot}%{_javadir}/%{name}/ceilometer-model.jar
install -m 644 %{S:17} %{buildroot}%{_javadir}/%{name}/resteasy-connector.jar
install -m 644 %{S:20} %{buildroot}%{_javadir}/%{name}/quantum-model.jar
install -m 644 %{S:22} %{buildroot}%{_javadir}/%{name}/glance-client.jar
install -m 644 %{S:25} %{buildroot}%{_javadir}/%{name}/swift-model.jar
install -m 644 %{S:26} %{buildroot}%{_javadir}/%{name}/nova-model.jar
install -m 644 %{S:29} %{buildroot}%{_javadir}/%{name}/keystone-client.jar
install -m 644 %{S:30} %{buildroot}%{_javadir}/%{name}/ceilometer-client.jar


%files -n openstack-java-javadoc
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-client
%{_javadir}/%{name}/openstack-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-resteasy-connector
%{_javadir}/%{name}/resteasy-connector.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-ceilometer-client
%{_javadir}/%{name}/ceilometer-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-ceilometer-model
%{_javadir}/%{name}/ceilometer-model.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-glance-client
%{_javadir}/%{name}/glance-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-glance-model
%{_javadir}/%{name}/glance-model.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-keystone-client
%{_javadir}/%{name}/keystone-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-keystone-model
%{_javadir}/%{name}/keystone-model.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-nova-client
%{_javadir}/%{name}/nova-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-nova-model
%{_javadir}/%{name}/nova-model.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-quantum-client
%{_javadir}/%{name}/quantum-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-quantum-model
%{_javadir}/%{name}/quantum-model.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-swift-client
%{_javadir}/%{name}/swift-client.jar
%doc LICENSE.txt
%doc README.textile

%files -n openstack-java-swift-model
%{_javadir}/%{name}/swift-model.jar
%doc LICENSE.txt
%doc README.textile


%changelog
* Fri Oct 18 2013 Federico Simoncelli <fsimonce@redhat.com> - 3.0.1-1
- update to openstack-java-sdk-3.0.1

* Thu May 23 2013 Federico Simoncelli <fsimonce@redhat.com> - 3.0.0-1
- initial build
